package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("order")

public class BuyOrder {
           private Long orderId;
           private Long userId;
           private String userPhone;
           private Integer orderState;
           private Integer orderInventory;
           private String orderName;
           private String orderNumber;
           private Long attrId;
           private Long addrId;
           private BigDecimal orderPrice;
           private Date createTime;
           private Date updateTime;
           private Integer isDelete;
           private String orderAddr;

}
