package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品sku的属性名称
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods_sku_attr_value")
public class GoodsSkuAttrValue {

    @TableField("id")
    private Long id;//正常主键ID
    @TableField("skuId")
    private Long skuId;//skuId
    @TableField("attrId")
    private Long attrId;//属性的ID
    @TableField("attrName")
    private String attrName;//属性名称
    @TableField("attrValue")
    private String attrValue;//属性值

}
