package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 支付明细表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("trade")
public class PaymentEntity {


           private Long tradeId;
           private String tradeNum;
           private String ordersNumber;
           private BigDecimal tradeMoney;
           private Integer tradeStatus;
           private String thirdNum;
           private Integer thirdStatus;
           private String thirdMessage;
           @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
           private Date backTime;
           private String tradeType;
           private Integer isDelete;
           @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
           private Date createTime;
           @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
           private Date updTime;
           private Long userId;

}
