package com.bwie.order.controller;

import com.bwie.common.domain.Order;
import com.bwie.common.result.Result;
import com.bwie.order.service.OrdService;
import com.bwie.order.vo.AddOrd;
import com.bwie.order.vo.UpdOrder;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class OrdController {
    private final OrdService ordService;

    public OrdController(OrdService ordService) {
        this.ordService = ordService;

    }

    @PostMapping("addord")
    public void addord(@RequestBody AddOrd addOrd){
        ordService.addorder(addOrd);

    }


    @PostMapping("show")
    public Result show(@RequestParam Long userId,String ordersNumber){
        Order show = ordService.show(ordersNumber);
        return Result.success(show);
    }

    @PostMapping("updstatus")
    public void updstatus(@RequestBody UpdOrder updOrder){
        ordService.updStatus(updOrder);
    }




}
