package com.bwie.order.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddOrd {
    private Long ordersId;//订单ID
    private String ordersNumber;
    private Long userId;//支付人ID
    private Long houseId;//房源表ID
    private String userTel;//支付人手机号
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date udpTime;//最新更改订单时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
