package com.bwie.team.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AddGroup {
    private Long goodsSpuId;
    private String title;
    private String groupIntroduce;
    private Date groupStart;
    private Date groupEnd;
    private Integer hours;
    private String unit;
    private Integer groupPeople;
    private Integer groupNum;
    private Integer sort;
    private BigDecimal groupOrigin;
    private Integer freightStatus;
    private Integer activityStatus;
    private Date createTime;
    private Date updateTime;
    private List<GroupSku>skus;



}
