package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品spu的属性名称
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods_spu_attr_value")
public class GoodsSpuAttrValue {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;//Id
    @TableField("spu_id")
    private Long spuId;//商品ID
    @TableField("attr_id")
    private Long attrId;//属性ID
    @TableField("attr_name")
    private String attrName;//属性名字
    @TableField("attr_value")
    private String attrValue;//属性值

}
