package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Trade {
    private Long tradeId;
    private String tradeNum;
    private String ordersNumber;
    private BigDecimal tradeMoney;
    private Integer tradeStatus;
    private String thirdNum;
    private String thirdStatus;
    private String thirdMessage;
    private String tradeType;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date backTime;
    private Integer isdelete;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date updTime;





}
