package com.bwie.alipay.demo.service;
import com.bwie.alipay.demo.Newspaper;
import com.bwie.alipay.demo.Subscriber;
import java.util.ArrayList;
import java.util.List;
public class NewspaperImpl implements Newspaper{
    List<Subscriber> subscribers = new ArrayList<>();
    //添加订阅者
    @Override
    public void addSubscriber(Subscriber subscriber){
        subscribers.add(subscriber);
    }
    //移除订阅者
    @Override
    public void removeSubscriber(Subscriber subscriber){
        subscribers.remove(subscriber);
    }
    //通知订阅者
    @Override
    public void notifySubscribers(String message) {
        for (Subscriber s : subscribers) {
            s.update(message);
        }
    }
}
