package com.bwie.authen.service;


import com.bwie.authen.vo.AliveReq;
import com.bwie.authen.vo.AuthenReq;
import com.bwie.authen.vo.IdCheckReq;
import com.bwie.common.result.Result;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.concurrent.ExecutionException;

public interface AuthenticationService {
    Result ocrScan(String side, MultipartFile url) throws IOException;//识别身份证
    Result commitAuthen(MultipartFile img1, MultipartFile img2, MultipartFile movie, AuthenReq authenReq) throws ExecutionException, InterruptedException;//上传图片视频等等进行验证

    String upload(MultipartFile multipartFile) throws IOException;//普通上传图片等等

    Result idCheck(IdCheckReq ocrReq);//身份校验信息

    Result alive(AliveReq ocrReq);//活体检测,上传动作等等



}
