package com.bwie.kill.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("goods_sku")
public class Goods {
    /**
     * skuId
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * spuId
     */
    private Long spuId;
    /**
     * sku名称
     */
    private String name;
    /**
     * 所属分类id
     */
    private Long catagoryId;
    /**
     * 默认图片
     */
    private String defaultImage;
    /**
     * 标题
     */
    private String title;
    /**
     * 副标题
     */
    private String subtitle;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 重量（克）
     */
    private Integer weight;
}
