package com.bwie.kill.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("kill_sku_attr_value")
public class KillSkuAttrValue {

    /**
     * 主键
     */
    private Long id;
    /**
     * 商品属性id
     */
    private Long goodsSkuAttrId;
    /**
     * 秒杀表id
     */
    private Long killGoodsId;
    /**
     * 秒杀价格
     */
    private BigDecimal killPrice;
    /**
     * 限量
     */
    private Integer number;
    /**
     * 锁定库存数
     */
    private Integer lockNumber;
    /**
     * 剩余库存数
     */
    private Integer lastNum;
    private Date createTime;

    private Date updateTime;

    private Integer isDelete;

}
