package com.bwie.order.task;

import com.bwie.common.result.Result;
import com.bwie.order.service.TradeService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class Sync {
  private final TradeService tradeService;

    public Sync(TradeService tradeService) {
        this.tradeService = tradeService;
    }

    @Scheduled(cron = "0 0/30 * * * *")
    public Result syncTrade(){
        Result result = tradeService.syncTrade();
        return result;
    }
}
