package com.bwie.order.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FindTrade {
    private String tradeNum;
    private BigDecimal tradeMoney;
    private Integer tradeStatus;
    private String thirdNum;
    private String thirdStatus;
    private String thirdMessage;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date backTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyyy-MM-dd HH:mm:ss")
    private Date updTime;

















}
