package com.bwie.order.vo;

/**
 * 订单状态枚举
 * @author Jerry
 */

public enum OrderStatusEnum {
    CREATE_NEW(1,"待付款"),
    PAYED(2,"已付款"),
//    SENDED(2,"已发货"),
    RECIEVED(3,"审核中"),
    CANCLED(4,"已完成"),
    SERVICING(5,"已驳回");
//    SERVICED(6,"售后完成");
    private Integer code;
    private String msg;

    OrderStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
