package com.bwie.user.service;

import com.baomidou.mybatisplus.extension.service.IService;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.result.Result;

public interface UserService extends IService<User> {


    User login(LoginRequest loginRequest);

    void register(User user);

    Result<User> findByPhone(String userPhone);

    User phoneLogin(String userPhone);

    void addpoint(Long userId, Integer point);
}
