package com.bwie.team.controller;

import com.bwie.common.result.Result;
import com.bwie.team.service.BackService;
import com.bwie.team.vo.Goods;
import com.bwie.team.vo.SkuBack;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class BackController {
    private final BackService backService;

    public BackController(BackService backService) {
        this.backService = backService;
    }

    @PostMapping("findSpu")
    public Result findSpu(@RequestParam Long spuId){
        SkuBack skuBack = backService.findSpu(spuId);
        return Result.success(skuBack);
    }






}
