package com.bwie.team.controller;

import com.bwie.common.domain.GoodSpu;
import com.bwie.common.result.Result;
import com.bwie.team.service.GoodsSpuService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class GoodsSpuController {

    private final GoodsSpuService goodsSpuService;

    public GoodsSpuController(GoodsSpuService goodsSpuService) {
        this.goodsSpuService = goodsSpuService;
    }

    @PostMapping("/shouall")
    public Result<List<GoodSpu>> shouall(){
        return Result.success(goodsSpuService.shouall());
    }

    @PostMapping("/addGoodSpu")
    public Result addGoodSpu(@RequestBody GoodSpu goodSpu){
        return goodsSpuService.addGoodSpu(goodSpu);
    }


}
