package com.bwie.team.controller;

import com.bwie.common.result.Result;
import com.bwie.team.service.TeamService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TeamController {
    private final TeamService teamService;

    public TeamController(TeamService teamService) {
        this.teamService = teamService;
    }

    @GetMapping("show")
    public Result show(){
        return Result.success(teamService.show());
    }


}
