package com.bwie.team.service.impl;

import com.bwie.team.mapper.BackMapper;
import com.bwie.team.service.BackService;
import com.bwie.team.vo.Goods;
import com.bwie.team.vo.GoodsSku;
import com.bwie.team.vo.SkuBack;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class BackServiceImpl implements BackService {
    private final BackMapper backMapper;

    public BackServiceImpl(BackMapper backMapper) {
        this.backMapper = backMapper;
    }

    @Override
    public SkuBack findSpu(Long spuId) {
        List<Goods> findspu = backMapper.findspu(spuId);
        List<GoodsSku> findsku = backMapper.findsku(spuId);
        SkuBack skuBack = new SkuBack();
        skuBack.setGg(findspu);
        skuBack.setSkus(findsku);
        return skuBack;
    }
}


